Skip to main content
POST
/
v2
/
organizations
/
{organizationSlug}
/
invites
curl -L -X POST https://api.turso.tech/v2/organizations/{organizationSlug}/invites \
  -H 'Authorization: Bearer TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"email": "user@example.com", "role": "member"}'
{
  "invited": {
    "email": "iku@turso.tech",
    "role": "member",
    "organization": "mycompany"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.turso.tech/llms.txt

Use this file to discover all available pages before exploring further.

Invites are limited to scaler plan and above.
You can invite by email or by username — provide exactly one. When inviting by username, the invite is sent to that user’s registered email.
You must be an owner or admin to invite other users. You can only invite users to a team and not your personal account.
If a pending invite already exists for the same email, it will be replaced with a new one.
curl -L -X POST https://api.turso.tech/v2/organizations/{organizationSlug}/invites \
  -H 'Authorization: Bearer TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"email": "user@example.com", "role": "member"}'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationSlug
string
required

The slug of the organization or user account.

Body

application/json

The user you want to invite to join Turso, and your organization. Provide exactly one of email or username.

email
string

The email of the user you want to invite. Exactly one of email or username must be provided.

username
string

The username of an existing Turso user you want to invite. Exactly one of email or username must be provided.

role
enum<string>
default:member

The role given to the user.

Available options:
admin,
member,
viewer

Response

200 - application/json

Successful response

invited
object